package com.ssyf.common.core.enums;

/**
 * 状态账户枚举；
 * 1 正常；2 冻结；3 已锁定；4 已注销；5 待审核；6 异常；
 * @author huwei
 * @date 2022/12/1 16:36
 */
public enum StatusAccountEnum {
    /**
     * 正常；
     * 表示事件被创建并记录在系统中，等待进一步处理。
     */
    normal(1 ,"正常"),
    /**
     * 已冻结；
     * 表示事件处于等待状态，等待被分配给处理人员或处理流程
     */
    freeze(2 ,"已冻结"),
    /**
     * 已锁定；
     * 表示事件正在进行处理中，处理人员正在处理事件。
     */
    locked(3 ,"已锁定"),
    /**
     * 已注销；
     * 表示事件处理暂时被挂起，可能是需要等待其他条件满足或需要进一步调查。
     */
    cancel(4 ,"挂起"),
    /**
     * 待审核；
     * 表示事件已经被处理完成，处理人员完成了相应的处理工作。
     */
    audit(5 ,"待审核"),
    /**
     * 异常；
     * 表示事件处理完结，所有相关工作已完成，事件可以被归档或关闭。
     */
    error(6 ,"异常");

    private Integer value;

    private String notes;

    StatusAccountEnum(int value , String notes){
        this.value = value;
        this.notes = notes;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getNotes(){
        return this.notes;
    }

    public static boolean isNormal(int value){
        return normal.getValue().equals(value);
    }
}
